#!/bin/bash

# Description: The system must limit users to 10 simultaneous system logins, or
#              a site-defined number, in accordance with operational
#              requirements.

FILE=/etc/security/limits.conf

MAXLOGIN=`egrep -c '^[[:space:]]*hard *maxlogins' $FILE`
if [ $MAXLOGIN -eq 0 ]
then
   echo "*              hard    maxlogins      10" >> $FILE
else
   sed -i 's/\(^* *hard *maxlogins\).*/*              hard    maxlogins      10/g' $FILE
fi
