#!/bin/bash
# This script sets up PAM
# The system must disable accounts after three consecutive unsuccessful login attempts.


PAMTALLY2AUTHCHECK=`egrep -c pam_tally2.so /etc/pam.d/system-auth`

if [ $PAMTALLY2AUTHCHECK -eq 0 ]
then
   echo "auth    required       pam_tally2.so file=/var/log/tallylog deny=3 onerr=fail even_deny_root unlock_time=86400 root_unlock_time=300" >> /etc/pam.d/system-auth
else
   sed -i "/^.*auth.*pam_tally2.so/ c\auth\trequired\tpam_tally2.so file=/var/log/tallylog deny=3 onerr=fail even_deny_root unlock_time=86400 root_unlock_time=300" /etc/pam.d/system-auth
fi

PAMTALLY2ACCOUNTCHECK=`egrep -c pam_tally2.so /etc/pam.d/system-account`

if [ $PAMTALLY2ACCOUNTCHECK -eq 0 ]
then
   echo "account required       pam_tally2.so" >> /etc/pam.d/system-account
else
   sed -i "/^.*account.*pam_tally2.so/ c\account\trequired\tpam_tally2.so" /etc/pam.d/system-account
fi
