#!/bin/bash
#

# Description: The system must use a FIPS 140-2 approved cryptographic hashing algorithm
#              for generating account password hashes.

FILE="/etc/login.defs"
REGEX='^[[:space:]#]*ENCRYPT_METHOD[[:space:]]*\(MD5\|SHA256\|SHA512\|DES\)[[:space:]]*$'
test -e $FILE || touch $FILE
grep -iq "$REGEX" $FILE
if [ $? -eq 0 ]
then
	sed -i "s/$REGEX/ENCRYPT_METHOD SHA512/" $FILE
else
	echo "ENCRYPT_METHOD SHA512" >> $FILE
fi
