#!/bin/bash
#
# Set the sshd_config PermitRootLogin flag to no
#

# Description: The system must not permit root logins using remote access programs such as ssh.

SSHFILE=/etc/ssh/sshd_config

REGEX='^[[:space:]]*PermitRootLogin\b.*$'

grep -q "$REGEX" "$SSHFILE"

if [ $? -ne 0 ]
then
	REGEX='^[[:space:]#]*PermitRootLogin\b.*$'
	grep -q "$REGEX" "$SSHFILE"
	if [ $? -ne 0 ]
	then
		echo "PermitRootLogin no" >> "$SSHFILE"
		exit 0
	fi
fi
sed -i "s/$REGEX/PermitRootLogin no/" "$SSHFILE"
