#!/bin/bash

## (GEN002560: CAT II)
## The SA will ensure the system and user umask is 077.
#
# Rule Title: The system and user default umask must be 077.

echo '==================================================='
echo ' Patching GEN002560: Set default umask.'
echo '==================================================='

for file in /etc/bash.bashrc /etc/csh.login /etc/profile
do
	test -e "$file" && \
		sed -i 's/\([;]*\)[[:space:]]*umask[[:space:]]*[0-9]*[[:space:]]*\([;]*\)/\1umask 077\2/g' "$file" 
done
sed -i "/^[^#]*UMASK/ c\UMASK 077" /etc/login.defs
USERADD_FILE=/etc/default/useradd
grep -q "UMASK=" "$USERADD_FILE" &&  sed -i "/^[^#]*UMASK=/ c\UMASK=077" "$USERADD_FILE"
exit 0
