#!/bin/bash
# This script sets the specified sysctl parameter to the specified value

SYSCTLCONF=/etc/sysctl.conf
SOURCEROUTEALL=/proc/sys/net/ipv4/conf/all/accept_source_route
SOURCEROUTEDEFAULT=/proc/sys/net/ipv4/conf/default/accept_source_route

if [ -e $SOURCEROUTEALL ]; then
   SOURCEROUTEALL_VALUE=$( cat $SOURCEROUTEALL )
   if [ $SOURCEROUTEALL_VALUE -ne 0 ]; then
      sed -i -e '/^net.ipv4.conf.all.accept_source_route=/d' $SYSCTLCONF
      echo "net.ipv4.conf.all.accept_source_route=0" >> $SYSCTLCONF
   fi
fi

if [ -e $SOURCEROUTEDEFAULT ]; then
   SOURCEROUTEDEFAULT_VALUE=$( cat $SOURCEROUTEDEFAULT )
   if [ $SOURCEROUTEDEFAULT_VALUE -ne 0 ]; then
      sed -i -e '/^net.ipv4.conf.default.accept_source_route=/d' $SYSCTLCONF
      echo "net.ipv4.conf.default.accept_source_route=0" >> $SYSCTLCONF
   fi
fi

IPV6SOURCEROUTEALL=/proc/sys/net/ipv6/conf/all/accept_source_route
IPV6SOURCEROUTEDEFAULT=/proc/sys/net/ipv6/conf/default/accept_source_route

if [ -e $IPV6SOURCEROUTEALL ]; then
   IPV6SOURCEROUTEALL_VALUE=$( cat $IPV6SOURCEROUTEALL )
   if [ $IPV6SOURCEROUTEALL_VALUE -ne 0 ]; then
      sed -i -e '/^net.ipv6.conf.all.accept_source_route=/d' $SYSCTLCONF
      echo "net.ipv6.conf.all.accept_source_route=0" >> $SYSCTLCONF
   fi
fi

if [ -e $IPV6SOURCEROUTEDEFAULT ]; then
   IPV6SOURCEROUTEDEFAULT_VALUE=$( cat $IPV6SOURCEROUTEDEFAULT )
   if [ $IPV6SOURCEROUTEDEFAULT_VALUE -ne 0 ]; then
      sed -i -e '/^net.ipv6.conf.default.accept_source_route=/d' $SYSCTLCONF
      echo "net.ipv6.conf.default.accept_source_route=0" >> $SYSCTLCONF
   fi
fi

sysctl -p > /dev/null
