#!/bin/bash
# This script sets the specified sysctl parameter to the specified value

SYSCTLCONF=/etc/sysctl.conf
ICMPBROADCAST=/proc/sys/net/ipv4/icmp_echo_ignore_broadcasts

if [ -e $ICMPBROADCAST ]; then
   ICMPBROADCAST_VALUE=$( cat $ICMPBROADCAST )
   if [ $ICMPBROADCAST_VALUE -ne 1 ]; then
      sed -i -e '/^net.ipv4.icmp_echo_ignore_broadcasts=/d' $SYSCTLCONF
      echo "net.ipv4.icmp_echo_ignore_broadcasts=1" >> $SYSCTLCONF
   fi
fi

sysctl -p > /dev/null
