#!/bin/bash
# This script sets the specified sysctl parameter to the specified value

SYSCTLCONF=/etc/sysctl.conf
PROXYARPALL=/proc/sys/net/ipv4/conf/all/proxy_arp
PROXYARPDEFAULT=/proc/sys/net/ipv4/conf/default/proxy_arp

if [ -e $PROXYARPALL ]; then
   PROXYARPALL_VALUE=$( cat $PROXYARPALL )
   if [ $PROXYARPALL_VALUE -ne 0 ]; then
      sed -i -e '/^net.ipv4.conf.all.proxy_arp=/d' $SYSCTLCONF
      echo "net.ipv4.conf.all.proxy_arp=0" >> $SYSCTLCONF
   fi
fi

if [ -e $PROXYARPDEFAULT ]; then
   PROXYARPDEFAULT_VALUE=$( cat $PROXYARPDEFAULT )
   if [ $PROXYARPDEFAULT_VALUE -ne 0 ]; then
      sed -i -e '/^net.ipv4.conf.default.proxy_arp=/d' $SYSCTLCONF
      echo "net.ipv4.conf.default.proxy_arp=0" >> $SYSCTLCONF
   fi
fi

sysctl -p > /dev/null
