#!/bin/bash
# This script sets the specified sysctl parameter to the specified value

SYSCTLCONF=/etc/sysctl.conf
ACCEPTREDIRECTSALL=/proc/sys/net/ipv4/conf/all/accept_redirects
ACCEPTREDIRECTSDEFAULT=/proc/sys/net/ipv4/conf/default/accept_redirects

if [ -e $ACCEPTREDIRECTSALL ]; then
   ACCEPTREDIRECTSALL_VALUE=$( cat $ACCEPTREDIRECTSALL )
   if [ $ACCEPTREDIRECTSALL_VALUE -ne 0 ]; then
      sed -i -e '/^net.ipv4.conf.all.accept_redirects=/d' $SYSCTLCONF
      echo "net.ipv4.conf.all.accept_redirects=0" >> $SYSCTLCONF
   fi
fi

if [ -e $ACCEPTREDIRECTSDEFAULT ]; then
   ACCEPTREDIRECTSDEFAULT_VALUE=$( cat $ACCEPTREDIRECTSDEFAULT )
   if [ $ACCEPTREDIRECTSDEFAULT_VALUE -ne 0 ]; then
      sed -i -e '/^net.ipv4.conf.default.accept_redirects=/d' $SYSCTLCONF
      echo "net.ipv4.conf.default.accept_redirects=0" >> $SYSCTLCONF
   fi
fi

sysctl -p > /dev/null
