#!/bin/bash
# This script sets the specified sysctl parameter to the specified value

SYSCTLCONF=/etc/sysctl.conf
SENDREDIRECTSALL=/proc/sys/net/ipv4/conf/all/send_redirects
SENDREDIRECTSDEFAULT=/proc/sys/net/ipv4/conf/default/send_redirects

if [ -e $SENDREDIRECTSALL ]; then
   SENDREDIRECTSALL_VALUE=$( cat $SENDREDIRECTSALL )
   if [ $SENDREDIRECTSALL_VALUE -ne 0 ]; then
      sed -i -e '/^net.ipv4.conf.all.send_redirects=/d' $SYSCTLCONF
      echo "net.ipv4.conf.all.send_redirects=0" >> $SYSCTLCONF
   fi
fi

if [ -e $SENDREDIRECTSDEFAULT ]; then
   SENDREDIRECTSDEFAULT_VALUE=$( cat $SENDREDIRECTSDEFAULT )
   if [ $SENDREDIRECTSDEFAULT_VALUE -ne 0 ]; then
      sed -i -e '/^net.ipv4.conf.default.send_redirects=/d' $SYSCTLCONF
      echo "net.ipv4.conf.default.send_redirects=0" >> $SYSCTLCONF
   fi
fi

SECUREREDIRECTSALL=/proc/sys/net/ipv4/conf/all/send_redirects
SECUREREDIRECTSDEFAULT=/proc/sys/net/ipv4/conf/default/send_redirects

if [ -e $SECUREREDIRECTSALL ]; then
   SECUREREDIRECTSALL_VALUE=$( cat $SECUREREDIRECTSALL )
   if [ $SECUREREDIRECTSALL_VALUE -ne 0 ]; then
      sed -i -e '/^net.ipv4.conf.all.secure_redirects=/d' $SYSCTLCONF
      echo "net.ipv4.conf.all.secure_redirects=0" >> $SYSCTLCONF
   fi
fi

if [ -e $SECUREREDIRECTSDEFAULT ]; then
   SECUREREDIRECTSDEFAULT_VALUE=$( cat $SECUREREDIRECTSDEFAULT )
   if [ $SECUREREDIRECTSDEFAULT_VALUE -ne 0 ]; then
      sed -i -e '/^net.ipv4.conf.default.secure_redirects=/d' $SYSCTLCONF
      echo "net.ipv4.conf.default.secure_redirects=0" >> $SYSCTLCONF
   fi
fi

sysctl -p > /dev/null
