#!/bin/bash
# This script sets the specified sysctl parameter to the specified value

SYSCTLCONF=/etc/sysctl.conf
LOGMARTIANSALL=/proc/sys/net/ipv4/conf/all/log_martians
LOGMARTIANSDEFAULT=/proc/sys/net/ipv4/conf/default/log_martians

if [ -e $LOGMARTIANSALL ]; then
   LOGMARTIANSALL_VALUE=$( cat $LOGMARTIANSALL )
   if [ $LOGMARTIANSALL_VALUE -ne 1 ]; then
      sed -i -e '/^net.ipv4.conf.all.log_martians=/d' $SYSCTLCONF
      echo "net.ipv4.conf.all.log_martians=1" >> $SYSCTLCONF
   fi
fi

if [ -e $LOGMARTIANSDEFAULT ]; then
   LOGMARTIANSDEFAULT_VALUE=$( cat $LOGMARTIANSDEFAULT )
   if [ $LOGMARTIANSDEFAULT_VALUE -ne 1 ]; then
      sed -i -e '/^net.ipv4.conf.default.log_martians=/d' $SYSCTLCONF
      echo "net.ipv4.conf.default.log_martians=1" >> $SYSCTLCONF
   fi
fi

sysctl -p > /dev/null
