#!/bin/bash
# This script sets the specified sysctl parameter to the specified value

SYSCTLCONF=/etc/sysctl.conf
TCPSYNCOOKIES=/proc/sys/net/ipv4/tcp_syncookies

if [ -e $TCPSYNCOOKIES ]; then
   TCPSYNCOOKIES_VALUE=$( cat $TCPSYNCOOKIES )
   if [ $TCPSYNCOOKIES_VALUE -ne 1 ]; then
      sed -i -e '/^net.ipv4.tcp_syncookies=/d' $SYSCTLCONF
      echo "net.ipv4.tcp_syncookies=1" >> $SYSCTLCONF
   fi
fi

sysctl -p > /dev/null
