#!/bin/bash
# This script sets the specified sysctl parameter to the specified value

SYSCTLCONF=/etc/sysctl.conf
RPFILTERALL=/proc/sys/net/ipv4/conf/all/rp_filter
RPFILTERDEFAULT=/proc/sys/net/ipv4/conf/default/rp_filter

if [ -e $RPFILTERALL ]; then
   RPFILTERALL_VALUE=$( cat $RPFILTERALL )
   if [ $RPFILTERALL_VALUE -ne 1 ]; then
      sed -i -e '/^net.ipv4.conf.all.rp_filter=/d' $SYSCTLCONF
      echo "net.ipv4.conf.all.rp_filter=1" >> $SYSCTLCONF
   fi
fi

if [ -e $RPFILTERDEFAULT ]; then
   RPFILTERDEFAULT_VALUE=$( cat $RPFILTERDEFAULT )
   if [ $RPFILTERDEFAULT_VALUE -ne 1 ]; then
      sed -i -e '/^net.ipv4.conf.default.rp_filter=/d' $SYSCTLCONF
      echo "net.ipv4.conf.default.rp_filter=1" >> $SYSCTLCONF
   fi
fi

sysctl -p > /dev/null
