#!/bin/bash
# This script sets the specified sysctl parameter to the specified value

SYSCTLCONF=/etc/sysctl.conf
IP6FORWARDALL=/proc/sys/net/ipv6/conf/all/forwarding
IP6FORWARDDEFAULT=/proc/sys/net/ipv6/conf/default/forwarding

if [ -e $IP6FORWARDALL ]; then
   IP6FORWARDALL_VALUE=$( cat $IP6FORWARDALL )
   if [ $IP6FORWARDALL_VALUE -ne 0 ]; then
      sed -i -e '/^net.ipv6.conf.all.forwarding=/d' $SYSCTLCONF
      echo "net.ipv6.conf.all.forwarding=0" >> $SYSCTLCONF
   fi
fi

if [ -e $IP6FORWARDDEFAULT ]; then
   IP6FORWARDDEFAULT_VALUE=$( cat $IP6FORWARDDEFAULT )
   if [ $IP6FORWARDDEFAULT_VALUE -ne 0 ]; then
      sed -i -e '/^net.ipv6.conf.default.forwarding=/d' $SYSCTLCONF
      echo "net.ipv6.conf.default.forwarding=0" >> $SYSCTLCONF
   fi
fi

sysctl -p > /dev/null
