#!/bin/bash
#

# Description: The Datagram Congestion Control Protocol (DCCP) must be disabled unless required.

MODPROBE_DIR="/etc/modprobe.d"
MODPROBE_CONF_FILE="/etc/modprobe.d/modprobe.conf"
for MODULE_NAME in dccp dccp_ipv4 dccp_ipv6
do
	if [ -n "$(lsmod | grep ^$MODULE_NAME\\b)" ]
	then
	    rmmod "$MODULE_NAME"
	fi
	
	FILES_WITH_ENTRY="$(grep -Rl install[[:space:]]\\+$MODULE_NAME\\b $MODPROBE_DIR/)"
	
	if [ -z "$FILES_WITH_ENTRY" ]
	then
	    touch "$MODPROBE_CONF_FILE"
	    echo "install $MODULE_NAME /bin/false" >> "$MODPROBE_CONF_FILE"
	else
	    for FILE in $FILES_WITH_ENTRY
	    do
	        sed -i "/^[^#]*\\b$MODULE_NAME\\b/ c\install $MODULE_NAME \/bin\/false" "$FILE"
	    done
	fi
done
exit 0
