#!/bin/bash
# This script sets the specified sysctl parameter to the specified value. Proxy Neighbor Discovery Protocol ( NDP ) must be disabled

SYSCTLCONF=/etc/sysctl.conf
PROXYNDPALL=/proc/sys/net/ipv6/conf/all/proxy_ndp
PROXYNDPDEFAULT=/proc/sys/net/ipv6/conf/default/proxy_ndp

if [ -e $PROXYNDPALL ]; then
   PROXYNDPALL_VALUE=$( cat $PROXYNDPALL )
   if [ $PROXYNDPALL_VALUE -ne 0 ]; then
      sed -i -e '/^net.ipv6.conf.all.proxy_ndp=/d' $SYSCTLCONF
      echo "net.ipv6.conf.all.proxy_ndp=0" >> $SYSCTLCONF
   fi
fi

if [ -e $PROXYNDPDEFAULT ]; then
   PROXYNDPDEFAULT=$( cat $PROXYNDPDEFAULT )
   if [ $PROXYNDPDEFAULT -ne 0 ]; then
      sed -i -e '/^net.ipv6.conf.default.proxy_ndp=/d' $SYSCTLCONF
      echo "net.ipv6.conf.default.proxy_ndp=0" >> $SYSCTLCONF
   fi
fi

sysctl -p > /dev/null
