#!/bin/bash
# This script sets the specified sysctl parameter to the specified value

SYSCTLCONF=/etc/sysctl.conf
ACCEPT6REDIRECTSALL=/proc/sys/net/ipv6/conf/all/accept_redirects
ACCEPT6REDIRECTSDEFAULT=/proc/sys/net/ipv6/conf/default/accept_redirects

if [ -e $ACCEPT6REDIRECTSALL ]; then
   ACCEPT6REDIRECTSALL_VALUE=$( cat $ACCEPT6REDIRECTSALL )
   if [ $ACCEPT6REDIRECTSALL_VALUE -ne 0 ]; then
      sed -i -e '/^net.ipv6.conf.all.accept_redirects=/d' $SYSCTLCONF
      echo "net.ipv6.conf.all.accept_redirects=0" >> $SYSCTLCONF
   fi
fi

if [ -e $ACCEPT6REDIRECTSDEFAULT ]; then
   ACCEPT6REDIRECTSDEFAULT_VALUE=$( cat $ACCEPT6REDIRECTSDEFAULT )
   if [ $ACCEPT6REDIRECTSDEFAULT_VALUE -ne 0 ]; then
      sed -i -e '/^net.ipv6.conf.default.accept_redirects=/d' $SYSCTLCONF
      echo "net.ipv6.conf.default.accept_redirects=0" >> $SYSCTLCONF
   fi
fi

sysctl -p > /dev/null
