#!/bin/bash
#

SYSCTLCONF=/etc/sysctl.conf
ROUTERSOLALL=/proc/sys/net/ipv6/conf/all/router_solicitations
ROUTERSOLDEFAULT=/proc/sys/net/ipv6/conf/default/router_solicitations

if [ -e $ROUTERSOLALL ]; then
   ROUTERSOLALL_VALUE=$( cat $ROUTERSOLALL )
   if [ $ROUTERSOLALL_VALUE -ne 0 ]; then
      sed -i -e '/^net.ipv6.conf.all.router_solicitations=/d' $SYSCTLCONF
      echo "net.ipv6.conf.all.router_solicitations=0" >> $SYSCTLCONF
   fi
fi


if [ -e $ROUTERSOLDEFAULT ]; then
   ROUTERSOLDEFAULT_VALUE=$( cat $ROUTERSOLDEFAULT )
   if [ $ROUTERSOLDEFAULT_VALUE -ne 0 ]; then
      sed -i -e '/^net.ipv6.conf.default.router_solicitations=/d' $SYSCTLCONF
      echo "net.ipv6.conf.default.router_solicitations=0" >> $SYSCTLCONF
   fi
fi

DADTRANALL=/proc/sys/net/ipv6/conf/all/dad_transmits
DADTRANDEFAULT=/proc/sys/net/ipv6/conf/default/dad_transmits

if [ -e $DADTRANALL ]; then
   DADTRANALL_VALUE=$( cat $DADTRANALL )
   if [ $DADTRANALL_VALUE -ne 0 ]; then
      sed -i -e '/^net.ipv6.conf.all.dad_transmits=/d' $SYSCTLCONF
      echo "net.ipv6.conf.all.dad_transmits=0" >> $SYSCTLCONF
   fi
fi

if [ -e $DADTRANDEFAULT ]; then
   DADTRANDEFAULT_VALUE=$( cat $DADTRANDEFAULT )
   if [ $DADTRANDEFAULT_VALUE -ne 0 ]; then
      sed -i -e '/^net.ipv6.conf.default.dad_transmits=/d' $SYSCTLCONF
      echo "net.ipv6.conf.default.dad_transmits=0" >> $SYSCTLCONF
   fi
fi

MAXADDALL=/proc/sys/net/ipv6/conf/all/max_addresses
MAXADDDEFAULT=/proc/sys/net/ipv6/conf/default/max_addresses

if [ -e $MAXADDALL ]; then
   MAXADDALL_VALUE=$( cat $MAXADDALL )
   if [ $MAXADDALL_VALUE -ne 1 ]; then
      sed -i -e '/^net.ipv6.conf.all.max_addresses=/d' $SYSCTLCONF
      echo "net.ipv6.conf.all.max_addresses=1" >> $SYSCTLCONF
   fi
fi

if [ -e $MAXADDDEFAULT ]; then
   MAXADDDEFAULT_VALUE=$( cat $MAXADDDEFAULT )
   if [ $MAXADDDEFAULT_VALUE -ne 1 ]; then
      sed -i -e '/^net.ipv6.conf.default.max_addresses=/d' $SYSCTLCONF
      echo "net.ipv6.conf.default.max_addresses=1" >> $SYSCTLCONF
   fi
fi

sysctl -p > /dev/null
