#!/bin/bash
# Disable TCP timestamp response. The remote host responding with a TCP
# timestamp can be used to approximate the remote host's uptime, potentially
# adding to further attacks.

SYSCTLCONF=/etc/sysctl.conf
TCP_TIMESTAMPS=/proc/sys/net/ipv4/tcp_timestamps

if [ -e $TCP_TIMESTAMPS ]; then
   TCP_TIMESTAMPS_VALUE=$( cat $TCP_TIMESTAMPS)
   if [ $TCP_TIMESTAMPS_VALUE -ne 0 ]; then
      sed -i -e '/^net.ipv4.tcp_timestamps=/d' $SYSCTLCONF
      echo "net.ipv4.tcp_timestamps=0" >> $SYSCTLCONF
   fi
fi

sysctl -p > /dev/null
